Skip to content
Start here

Get Field Extractor

GET/accounts/{account_id}/field_extractors/{extractor}

Retrieves the custom extraction rules configured for a given extractor type.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Cloudflare account ID.

minLength1
extractor: string

Extractor type.

minLength1
ReturnsExpand Collapse
errors: array of object { code, message, source }
code: number
message: string
source: optional object { pointer }

Points to the offending input as a JSON Pointer into the request body.

pointer: string
messages: array of object { code, message }

Additional informational messages.

code: number
message: string
result: object { extractor, rules }
extractor: string

Extractor type.

rules: array of object { fields, ref, description }
fields: array of object { expression, name }
expression: string

Wirefilter value expression.

name: string

Field name.

ref: string

Stable rule identifier.

description: optional string

Human-readable rule description.

success: true

Get Field Extractor

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/field_extractors/$EXTRACTOR \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "extractor": "llm_prompts",
    "rules": [
      {
        "fields": [
          {
            "expression": "filter(http.request.body.json.strings.values, http.request.body.json.strings.pointers[*] matches \"^/messages/\\\\d+/content$\")",
            "name": "prompt"
          }
        ],
        "ref": "openai-chat",
        "description": "description"
      }
    ]
  },
  "success": true
}